# -*- coding: utf-8 -*-

import os.path
from pkg_resources import get_distribution, DistributionNotFound

__author__ = 'Keiron James Pizzey'
__email__ = 'kjpizzey@gmail.com'

try:
    _dist = get_distribution('pandamonium')
    # Normalize case for Windows systems
    dist_loc = os.path.normcase(_dist.location)
    here = os.path.normcase(__file__)
    if not here.startswith(os.path.join(dist_loc, 'pandamonium')):
        # not installed, but there is another version that *is*
        raise DistributionNotFound
except DistributionNotFound:
    __version__ = 'Please install this project with setup.py'
else:
    __version__ = _dist.version

import numpy as np
import pandas as pd

from pandamonium.dataframe import DataFrame
